require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", false);
SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", true);
SManager:AddFlowers(FlowerType.FLOWERS6, "flowersRE", false);

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusGrilled", true);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersCheddar", false);
SManager:AddAppetizer(AppetizerType.QUICHE, "quicheMushroom", false);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMShanghai", false);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMOahu", false);
SManager:AddHoneymoon(HoneymoonType.MOUNTAINS, "HMMountFuji", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.APPETIZER, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");